Bug 88730 - Mozilla menus don't honor color scheme
Mozilla menus don't honor color scheme
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
9
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks: 90218
  Show dependency treegraph
 
Reported: 2003-04-12 13:55 EDT by Ian Pilcher
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-21 14:06:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot illustrating the problem (21.24 KB, image/png)
2003-04-12 13:58 EDT, Ian Pilcher
no flags Details
.gtkrc-kde file (1.09 KB, text/plain)
2003-04-12 13:59 EDT, Ian Pilcher
no flags Details

  None (edit)
Description Ian Pilcher 2003-04-12 13:55:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
KDE's "CDE" color scheme uses white text on a gray background.  When
Mozilla's "Classic" theme is used with this color scheme, widgets such
as the Navigation Toolbar and Personal Toolbar honor this setting, but
the menus still use black text.

Version-Release number of selected component (if applicable):
mozilla-1.2.1-26

How reproducible:
Always

Steps to Reproduce:
1.  Start a KDE session.
2.  Open the KDE control center and set the color scheme to "CDE".
3.  Start Mozilla.
    

Actual Results:  Navigation Toolbar and Personal Toolbar use white text,
matching the
color scheme, but the menus still use black text.

Expected Results:  Menus should also use white text.

Additional info:
Comment 1 Ian Pilcher 2003-04-12 13:58:35 EDT
Created attachment 91099 [details]
screenshot illustrating the problem
Comment 2 Ian Pilcher 2003-04-12 13:59:37 EDT
Created attachment 91100 [details]
.gtkrc-kde file
Comment 3 Christopher Blizzard 2003-05-05 13:09:55 EDT
Might need to work on this for accessibility reasons.

Note You need to log in before you can comment on or make changes to this bug.